Bug 444278 - Text mode install fails due to so-called insufficient diskspace
Text mode install fails due to so-called insufficient diskspace
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-26 09:29 EDT by Aad Rijnberg
Modified: 2008-06-02 14:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-02 14:31:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The location in the startup procedure (92.55 KB, image/jpeg)
2008-04-29 17:02 EDT, Aad Rijnberg
no flags Details
The setup utility that is shown briefly before it disappears (95.22 KB, image/jpeg)
2008-04-29 17:05 EDT, Aad Rijnberg
no flags Details

  None (edit)
Description Aad Rijnberg 2008-04-26 09:29:01 EDT
Description of problem:
After GUI-installation of Fedora 9 Preview failed (see bug 444276), I decided to
take the text install method. In the end it comes with a message: "Error running
transaction for the following reason(s): insufficient diskspace", and the
installation must be terminated (Exit Installer). I initially had a 9 GB
partition for this test installation, so I increased the partition size to 30GB
and tried again. But again there was supposedly not enough diskspace...

Version-Release number of selected component (if applicable):
Version that comes with Fedora 9 Preview

How reproducible:
Every time

Steps to Reproduce:
1. start from the x86_64 installer DVD
2. choose install or upgrade existing system (text mode)
3. skip boot loader updating (will do that manually after the installation)
4. transferring install image to harddisk
5. checking dependencies in packages
6. starting install process
7. preparing transaction from installation source
Actual results:
Mentioned error occurs: "There was an error running your transaction for the
following reason(s): insufficient diskspace"

Expected results:
After it reaches 100% in preparing transaction from installation source it
should continue with the installation.

Additional info:
The sha1sum and the media check were OK.
Hardware: Dell Dimension 9200 (Intel Core2 Quad) with 30 GB partition (non-LVM).
BTW: the /boot partition had still 161MB available.
Comment 1 Joel Andres Granados 2008-04-28 06:35:29 EDT
How much ram do you have?
Can you provide the anaconda log and syslog.  They are located in /tmp in the
installation environment.
Comment 2 Aad Rijnberg 2008-04-28 15:13:07 EDT
My system has 2GB ram. 

If I mount the partition that I selected as root partition during the install, I
see the directory tmp in which there is no anaconda.log or syslog file. There is
however a directory tmp/cache/anaconda-Fedora-200804171229.x86_64 which contains
the files Fedora-9-Preview-comps.xml.gz, filelists.sqlite, primary.sqlite,
repomd.xml, cachecookie (0 bytes) and the directories headers and packages.
Is there something useful in those files?
Comment 3 Jeremy Katz 2008-04-28 22:57:08 EDT
No, those just are the install data.  Can you try again and see if it fails?  If
so, grab /tmp/syslog and /tmp/anaconda.log
Comment 4 Aad Rijnberg 2008-04-29 17:02:29 EDT
Created attachment 304158 [details]
The location in the startup procedure

After this the textual setup tool is displayed.
Comment 5 Aad Rijnberg 2008-04-29 17:05:06 EDT
Created attachment 304159 [details]
The setup utility that is shown briefly before it disappears

This window is shown for some 3 seconds, and then it disappears. The whole
screen becomes blue (the background color). The mouse cursor can be moved
across the screen, but the buttons don't generate a menu or something like
that. I can switch to a console (CTRL-ALT-F1), but I can not do anything in
Comment 6 Aad Rijnberg 2008-04-29 17:10:56 EDT
Because there was a lot of files (with old dates) from a previous installation
(F8) on the file system I decided to delete the contents of the whole partition
where I wanted to install the Fedora 9 Preview. When I did the text install
again, it showed one choice less (/dev/sdb3 where the old F8 installation was
located was now gone). So I selected "Reinstall system". After answering several
 questions it showed "Install starting", "Package installation", "Post Install",
and finally "Reboot". So it seems as if everything went OK this time. Then I
booted to Fedora 9 Preview and when I click on "Show details" during the boot I
get the picture as attached (startup.jpg), and then it shows a textual interface
to some post install setup tool also attached (setup_utility.jpg). Then it
disappears and I only see the blue background. It does not react to mouse
buttons or keyboard, except for switching to console via CTRL-ALT-F1. I have to
reboot using the power switch of the PC. This happens every time.

Then I decided to retry an installation on an already installed partition
(containing the Fedora 9 Preview), because that was how I installed the first
time. The only difference was that it now contained F9Preview whereas it
contained F8 the time when I encountered the bug I submitted. I again did a
textual install, select the 8.93 (/dev/sdb3) installation to be updated, and
then I get to "copying files", "Installation progress", "Install starting",
followed by yet another error message: "There was an error running your
transaction for the following reason: float division". I chose "Exit installer".

I looked into the /tmp folder of the root partition that I used for the test
install, but again there is no syslog nor anaconda.log in there... Aren't those
files written to the RAMdisk that contains the /tmp partition during the
installation? I thought that I saw that passing by on the screen (that /tmp was
mounted on a RAM-disk).

Would it be useful to re-install F8 on that partition and then try to install
F9Preview again?
Comment 7 Aad Rijnberg 2008-04-30 11:50:45 EDT
In the mean time I have taken the time to install Fedora 8 again on the
partition in question. That went without problems. Then I installed Fedora 9
Preview again on that partition using the upgrade method. This time the whole
installation went OK. I rebooted when it was finished and then I got the
graphical interface (Gnome). It's a pity that I could not reproduce the bug.
Could the Fedora 8 installation, that was on the system the first time, have
been damaged so that the upgrade failed?

Question remains however why the Reinstall System method led to a float division
Comment 8 Bug Zapper 2008-05-14 06:12:40 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 9 Andy Lindeberg 2008-06-02 14:31:35 EDT
Closing this since the bug could not be reproduced. Please file a report if you
encounter it in the final release.

Note You need to log in before you can comment on or make changes to this bug.